Skip to main content
`Ctrl`+`K`

# DMPlexGetMaxProjectionHeight

Get the maximum height (w.r.t. DAG) of mesh points used to evaluate dual bases in DMPlexProjectXXXLocal() functions.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetMaxProjectionHeight(DM dm, PetscInt *height)

## Input Parameter

- dm - the `DMPLEX` object

## Output Parameter

- height - the maximum projection height

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexSetMaxProjectionHeight()`, `DMProjectFunctionLocal()`, `DMProjectFunctionLabelLocal()`

## Level

intermediate

## Location

src/dm/impls/plex/plexfem.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages